当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 编译emacs23时的图形界面问题
帖子发表于 : 2006-07-18 11:02 

注册: 2006-07-18 0:44
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
我原来的emacs版本是emacs21,搞了很久很久的输入法安装问题,还是没有搞定。决定不搞了,装个23玩玩。于是昨晚安装了。最后还算可以,得到一个字符界面的emacs,挺酷的。呵呵,但是,已经习惯了图形界面。还是想装个图形界面,最好把图片支持也编译进去。我的问题是不知道要装什么包。菜乌一个,希望能说清楚些,谢谢

我的系统是Linux version 2.6.15-23-686 (buildd@rothera) (gcc version 4.0.3 (Ubuntu 4.0.3-1ubuntu5))

Emacs cvs 从http://ftp.ubuntu.org.cn/software/这里下载。

编译的时候出现的提示:Where do we find X Windows header files? NONE
Where do we find X Windows libraries? NONE
Does Emacs use -lXaw3d? no
Does Emacs use -lXpm? no
Does Emacs use -ljpeg? no
Does Emacs use -ltiff? no
Does Emacs use -lungif? no
Does Emacs use -lpng? no
Does Emacs use X toolkit scroll bars? no

谢谢


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-07-18 12:08 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get build-dep emacs
安装编译所需支持库


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-07-18 14:39 

注册: 2006-07-18 0:44
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
好傻,一直用没看清楚,用的都sudo apt-get install build-dep emacs,怪不得没反应。用 sudo apt-get build-dep emacs,是有反应,但完成后,重新编译一次,结果仍然是这样
......
Should Emacs use mmap(2) for buffer allocation? no
What window system should Emacs use? none
What toolkit should Emacs use? none
Where do we find X Windows header files? NONE
Where do we find X Windows libraries? NONE
Does Emacs use -lXaw3d? no
Does Emacs use -lXpm? no
Does Emacs use -ljpeg? no
Does Emacs use -ltiff? no
Does Emacs use -lungif? no
Does Emacs use -lpng? no
Does Emacs use X toolkit scroll bars? no
.....

编译命令:./configure --prefix=/usr --with-x-toolkit=gtk

怎么会这样呢?可不可以直接下载相关的包?其实就是不知要装哪些包而已,有没有地方可以查的?谢谢


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-07-18 16:31 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
你看看置顶的帖,有详细的过程


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-07-18 20:02 

注册: 2006-07-18 0:44
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
:(

我已经完全按照zhan那个安装说明去做了,就是卡在x选项那里了,郁闷~


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-07-19 13:21 

注册: 2006-07-18 0:44
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
3bio 写道:
好傻,一直用没看清楚,用的都sudo apt-get install build-dep emacs,怪不得没反应。用 sudo apt-get build-dep emacs,是有反应,但完成后,重新编译一次,结果仍然是这样
......
Should Emacs use mmap(2) for buffer allocation? no
What window system should Emacs use? none
What toolkit should Emacs use? none
Where do we find X Windows header files? NONE
Where do we find X Windows libraries? NONE
Does Emacs use -lXaw3d? no
Does Emacs use -lXpm? no
Does Emacs use -ljpeg? no
Does Emacs use -ltiff? no
Does Emacs use -lungif? no
Does Emacs use -lpng? no
Does Emacs use X toolkit scroll bars? no
.....

编译命令:./configure --prefix=/usr --with-x-toolkit=gtk

怎么会这样呢?可不可以直接下载相关的包?其实就是不知要装哪些包而已,有没有地方可以查的?谢谢


sudo apt-get install xorg-dev可解决:
Where do we find X Windows header files? NONE
Where do we find X Windows libraries? NONE

Does Emacs use -lXaw3d? no
Does Emacs use -lXpm? no
Does Emacs use -ljpeg? no
Does Emacs use -ltiff? no
Does Emacs use -lungif? no
Does Emacs use -lpng? no
Does Emacs use X toolkit scroll bars? no

这几个我是分别找到lib包安装之后就变成YES了。

可惜再编译又出现错误了,

make[2]: *** [bootstrap-emacs] 错误 127
make[2]: Leaving directory `/home/sango/Download/emacs/src'
make[1]: *** [bootstrap-build] 错误 2
make[1]: Leaving directory `/home/sango/Download/emacs'
make: *** [bootstrap] 错误 2

这是什么原因?好象很少人有这样的问题。不知我搞了什么!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译